from abc import ABC, abstractclassmethod
from requests import Session
from suplexedlibrary.api.tools.header_tools import get_random_user_agent

class BaseApi(ABC):

    def __init__(self):
        self.user_agent = get_random_user_agent()

    @abstractclassmethod
    def hydrate_login(session: Session, account: any):
        pass

    @abstractclassmethod
    def generate_login(session: Session, account: any):
        pass