
class OrderStatusGoat:
    class SellerProgress:
        NEEDS_CONFIRMATION    = 'NEEDS_CONFIRMATION'
        SOLD                  = 'sold'
        ORDERED               = 'ordered'
        SELLER_CONFIRMED      = 'seller_confirmed'
        SELLER_PACKAGING      = 'seller_packaging'
        WITH_COURIER          = 'with_courier'
        DELIVERED_TO_GOAT     = 'delivered_goat'
        SHIPPED_TO_BUYER      = 'shipping_buyer'
        GOAT_VERIFIED         = 'goat_verified'
        SHIPPED_BUYER         = 'shipped_buyer'
        SHIPPED_GOAT          = 'shipped_goat'
        GOAT_ISSUE            = 'goat_issue'
        SELLER_PACKAGING      = 'seller_packaging'
        GOAT_CONSIGNED        = 'goat_consigned'
        FRAUDULENT            = 'fraudulent'
        CANCELED_BY_SELLER    = 'canceled_by_seller'
        BUYER_CONFIRMED       = 'buyer_confirmed'
        GOAT_ISSUE_RESOLVED   = 'goat_issue_resolved'
        CANCELED_BY_BUYER     = 'canceled_by_buyer'
        PENDING               = 'pending'
        DELIVERED             = 'delivered'
        BUYER_RETURN_APPROVED = 'buyer_return_approved'

    class BuyerProgress:
        CLAIM_FILED         = 'claim_filed'
        FRAUDULENT          = 'fraudulent'
        CANCELED_BY_SELLER  = 'canceled_by_seller'
        BUYER_CONFIRMED     = 'buyer_confirmed'
        CANCELED_BY_BUYER   = 'canceled_by_buyer'
        GOAT_ISSUE_RESOLVED = 'goat_issue_resolved'


goat_order_status_option_tuple = tuple({
    OrderStatusGoat.SellerProgress.ORDERED,
    OrderStatusGoat.SellerProgress.SELLER_CONFIRMED,
    OrderStatusGoat.SellerProgress.SELLER_PACKAGING,
    OrderStatusGoat.SellerProgress.WITH_COURIER,
    OrderStatusGoat.SellerProgress.DELIVERED_TO_GOAT,
    OrderStatusGoat.SellerProgress.SHIPPED_TO_BUYER,
    OrderStatusGoat.SellerProgress.GOAT_VERIFIED,
    OrderStatusGoat.SellerProgress.SHIPPED_BUYER,
    OrderStatusGoat.SellerProgress.SHIPPED_GOAT,
    OrderStatusGoat.SellerProgress.GOAT_ISSUE,
    OrderStatusGoat.SellerProgress.SELLER_PACKAGING,
    OrderStatusGoat.SellerProgress.GOAT_CONSIGNED,
    OrderStatusGoat.SellerProgress.FRAUDULENT,
    OrderStatusGoat.SellerProgress.CANCELED_BY_SELLER,
    OrderStatusGoat.SellerProgress.BUYER_CONFIRMED,
    OrderStatusGoat.SellerProgress.GOAT_ISSUE_RESOLVED,
    OrderStatusGoat.SellerProgress.CANCELED_BY_BUYER,
    OrderStatusGoat.SellerProgress.PENDING,
    OrderStatusGoat.SellerProgress.DELIVERED,
    OrderStatusGoat.BuyerProgress.CLAIM_FILED,         
    OrderStatusGoat.BuyerProgress.FRAUDULENT,          
    OrderStatusGoat.BuyerProgress.CANCELED_BY_SELLER,  
    OrderStatusGoat.BuyerProgress.BUYER_CONFIRMED,     
    OrderStatusGoat.BuyerProgress.CANCELED_BY_BUYER,   
    OrderStatusGoat.BuyerProgress.GOAT_ISSUE_RESOLVED
})