class OrderStatusStockx:
    ''' BUYING '''
    _0   = (0, "Invalid")
    _100 = (100, "In Portfolio")
    _200 = (200, "Following")
    _300 = (300, "Bidding")
    _310 = (310, "Your Payment is Processing")
    _320 = (320, "Authentication Passed")
    _321 = (321, "Item Purchased for Inventory")
    _325 = (325, "Authentication Passed")
    _330 = (330, "Update Payment Method")
    _335 = (335, "Pickup at StockX")
    _339 = (339, "Item Awaiting Carrier Pickup")
    _340 = (340, "Item En Route to You")
    _341 = (341, "Item En Route to Buyer")
    _350 = (350, "Item Delivered Successfully")
    _370 = (370, "Donation Accepted")
    _380 = (380, "Return Started")
    _381 = (381, "Return Shipped to StockX")
    _382 = (382, "Return Received at StockX")
    _383 = (383, "Return Purchase Refunded")
    _390 = (390, "Purchase Refunded")
    _391 = (391, "Purchase Refund Failed")
    _392 = (392, "Purchase Refunded")
    _393 = (393, "Purchase Refunded")
    _394 = (394, "Return Denied by StockX")

    """ SELLER """
    
    ''' In Hand Asking'''
    _400 = (400, "Asking")

    ''' In Hand Sold '''
    _410 = (410, "Print Shipping Label")
    _411 = (411, "Print Shipping Label")
    _415 = (415, "Ship Your Item ASAP")
    _418 = (418, "Drop off at UPS")

    ''' Shipped '''
    _430 = (430, "En Route to StockX")

    ''' At Marketplace '''
    _440 = (440, "Item Received at StockX")
    _450 = (450, "Authenticating")
    _455 = (455, "Item Verified")
    _465 = (465, "Payout Pending")

    ''' Completed '''
    _460 = (460, "Payout Complete")
    _480 = (480, "Sale Complete")

    ''' Sale Failed '''
    _490 = (490, "Canceled: Verification failed")
    _491 = (491, "Canceled: Seller did not ship")
    _492 = (492, "Sale Canceled")
    _494 = (494, "Sale Canceled")

    ''' Other '''
    _409 = (409, "CC Authorization Failed")
    

    _470 = (470, "En Route")

    _489 = (489, "Pending Review. Do Not Ship.")
    _493 = (493, "Item Returned")
    _50  = (50, "Removed")

stockx_order_status_option_tuple = (
    OrderStatusStockx._0[0]  ,
    OrderStatusStockx._100[0],
    OrderStatusStockx._200[0],
    OrderStatusStockx._300[0],
    OrderStatusStockx._310[0],
    OrderStatusStockx._320[0],
    OrderStatusStockx._321[0],
    OrderStatusStockx._325[0],
    OrderStatusStockx._330[0],
    OrderStatusStockx._335[0],
    OrderStatusStockx._339[0],
    OrderStatusStockx._340[0],
    OrderStatusStockx._341[0],
    OrderStatusStockx._350[0],
    OrderStatusStockx._370[0],
    OrderStatusStockx._380[0],
    OrderStatusStockx._381[0],
    OrderStatusStockx._382[0],
    OrderStatusStockx._383[0],
    OrderStatusStockx._390[0],
    OrderStatusStockx._391[0],
    OrderStatusStockx._392[0],
    OrderStatusStockx._393[0],
    OrderStatusStockx._394[0],
    OrderStatusStockx._400[0],
    OrderStatusStockx._409[0],
    OrderStatusStockx._410[0],
    OrderStatusStockx._411[0],
    OrderStatusStockx._415[0],
    OrderStatusStockx._418[0],
    OrderStatusStockx._430[0],
    OrderStatusStockx._440[0],
    OrderStatusStockx._450[0],
    OrderStatusStockx._455[0],
    OrderStatusStockx._460[0],
    OrderStatusStockx._465[0],
    OrderStatusStockx._470[0],
    OrderStatusStockx._480[0],
    OrderStatusStockx._489[0],
    OrderStatusStockx._490[0],
    OrderStatusStockx._491[0],
    OrderStatusStockx._492[0],
    OrderStatusStockx._493[0],
    OrderStatusStockx._494[0],
    OrderStatusStockx._50[0]
)