from sqlalchemy import Column, String, ForeignKey, PickleType, Boolean, DateTime
from sqlalchemy.orm import relationship

from suplexedlibrary.database.postgres.base import base

class AliasAccountLink(base):
    __tablename__ = 'aliasAccountLink'

    id                  = Column(String, primary_key=True)
    account_id          = Column(String, ForeignKey('dataSyncAccount.id'))
    alias_account_id    = Column(String, ForeignKey('aliasAccount.id'))
    email               = Column(String)
    status              = Column(String)
    account_type        = Column(String)