from suplexedlibrary.database.postgres.base import base

from sqlalchemy import Column, String, ForeignKey, Constraint, Float, Boolean, TIMESTAMP, func, Integer
from sqlalchemy.orm import relationship


class StockxSellerScore(base):
    __tablename__ = 'stockxSellerScore'
    id                           = Column(String, primary_key=True)
    account_id                   = Column(String, ForeignKey('dataSyncAccount.id'))
    level                        = Column(Integer)
    transaction_fee_streetwear   = Column(Float)
    transaction_fee_collectibles = Column(Float)
    dataSyncAccount              = relationship("DataSyncAccount", back_populates="stockxSellerScore")
