from sqlalchemy import Column, String, ForeignKey, DateTime
from suplexedlibrary.database.postgres.base import base
from sqlalchemy.orm import relationship

class SyncEventLog(base):
    __tablename__       = 'syncEventLog'
    id                  = Column(String, primary_key=True)
    account_id          = Column(String, ForeignKey('dataSyncAccount.id'))
    event_title         = Column(String)
    event_description   = Column(String)
    event_datetime      = Column(DateTime)