import smtplib, ssl
from email.mime.text import MIMEText
from email.mime.multipart import MIMEMultipart
from suplexedlibrary.notifications.html import purchaseNotification, saleNotification, syncedSaleNotification

MAIL_USERNAME = 'AKIAJTPYHUEDHPAJ25YA'
MAIL_PASSWORD = 'Aj1EZNBAwT8fiXhDYj6ZeHuK+B4t8UmkoS6lXyHbky6z'
MAIL_SERVER = 'email-smtp.us-east-1.amazonaws.com'
MAIL_PORT = 465
MAIL_USE_SSL = True
SENDER_ADDRESS = 'no-reply@suplexed.com'
# Create a secure SSL context

def send_purchase_notification(
    recipient: str,
    shoeName: str,
    shoeSize: str,
    salePrice: str,
    marketplace: str
):
    # Try to log in to server and send email
    try:
        server = smtplib.SMTP_SSL(MAIL_SERVER, MAIL_PORT)
        print('server created')
        server.ehlo() # Can be omitted
        server.login(MAIL_USERNAME, MAIL_PASSWORD)
        # TODO: Send email here
        
        message = MIMEMultipart("alternative")
        message["Subject"] = "Suplexed Alert"
        message["From"] = SENDER_ADDRESS
        message["To"] = recipient

        # Create the plain-text and HTML version of your message
        text = """\
            Hi,
            You have a message from syncbot
        """
        # Turn these into plain/html MIMEText objects
        part1 = MIMEText(text, "plain")
        part2 = MIMEText(purchaseNotification.get_purcahse_html(shoeName, shoeSize, salePrice, marketplace), "html")
        # Add HTML/plain-text parts to MIMEMultipart message
        # The email client will try to render the last part first
        message.attach(part1)
        message.attach(part2)

        server.sendmail(SENDER_ADDRESS, recipient, message.as_string())
    except Exception as e:        
        # Print any error messages to stdout
        print(e)
    finally:
        server.quit() 

def send_synced_sale_notification(
    recipient: str,
    shoeName: str,
    shoeSize: str,
    salePrice: str,
    marketplace: str
):
    # Try to log in to server and send email
    try:
        server = smtplib.SMTP_SSL(MAIL_SERVER, MAIL_PORT)
        print('server created')
        server.ehlo() # Can be omitted
        server.login(MAIL_USERNAME, MAIL_PASSWORD)
        # TODO: Send email here
        
        message = MIMEMultipart("alternative")
        message["Subject"] = "multipart test"
        message["From"] = SENDER_ADDRESS
        message["To"] = recipient

        # Create the plain-text and HTML version of your message
        text = """\
            Hi,
            You have a message from syncbot
        """
        # Turn these into plain/html MIMEText objects
        part1 = MIMEText(text, "plain")
        part2 = MIMEText(syncedSaleNotification.get_sync_sale_html(shoeName, shoeSize, salePrice, marketplace), "html")
        # Add HTML/plain-text parts to MIMEMultipart message
        # The email client will try to render the last part first
        message.attach(part1)
        message.attach(part2)

        server.sendmail(SENDER_ADDRESS, recipient, message.as_string())
    except Exception as e:        
        # Print any error messages to stdout
        print(f'failed sending email...')
        print(e)
    finally:
        server.quit() 

def send_sale_notification(
    recipient: str,
    shoeName: str,
    shoeSize: str,
    salePrice: str,
    marketplace: str
):
    # Try to log in to server and send email
    try:
        server = smtplib.SMTP_SSL(MAIL_SERVER, MAIL_PORT)
        print('server created')
        server.ehlo() # Can be omitted
        server.login(MAIL_USERNAME, MAIL_PASSWORD)
        # TODO: Send email here
        
        message = MIMEMultipart("alternative")
        message["Subject"] = "multipart test"
        message["From"] = SENDER_ADDRESS
        message["To"] = recipient

        # Create the plain-text and HTML version of your message
        text = """\
            Hi,
            You have a message from syncbot
        """
        # Turn these into plain/html MIMEText objects
        part1 = MIMEText(text, "plain")
        part2 = MIMEText(saleNotification.get_sale_html(shoeName, shoeSize, salePrice, marketplace), "html")
        # Add HTML/plain-text parts to MIMEMultipart message
        # The email client will try to render the last part first
        message.attach(part1)
        message.attach(part2)

        server.sendmail(SENDER_ADDRESS, recipient, message.as_string())
    except Exception as e:        
        # Print any error messages to stdout
        print(e)
    finally:
        server.quit() 

if __name__ == '__main__':
    send_purchase_notification(
        'daniel.revie1@gmail.com',
        'egggg',
        '12.5',
        1000,
        'stockx'
    )
