from suplexedlibrary.paywall.AbstractSuplexedAccountLevel import AbstractSuplexedAccountLevel
from suplexedlibrary.database.postgres.postgres import TSession


class SuplexedAccountLevel_One(AbstractSuplexedAccountLevel):
    def __init__(self, account_id: str, db_session: TSession, is_hydrate_all: bool) -> None:
        super().__init__(
            max_active_listings=25,
            max_active_synced_listings=10,
            max_active_pricing_strategies=5,
            account_id=account_id,
            db_session=db_session,
            is_hydrate_all=is_hydrate_all
        )


