from typing import List
from suplexedlibrary.constants.AccountLevel import AccountLevel
from suplexedlibrary.model.DataSyncAccount import DataSyncAccount

def get_listing_limit(account_level: str) -> int:
    if account_level == AccountLevel.FREE:
        return 5
    if account_level == AccountLevel.BASIC:
        return 10
    if account_level == AccountLevel.PRO:
        return 100

    if account_level == 'beta':
        return 100000
