from suplexedlibrary.model.DataSyncAccount import DataSyncAccount
from suplexedlibrary.model.SyncUserValueChain import SyncUserValueChain
from suplexedlibrary.database.postgres.postgres import get_session

def run_value_chain_update():
    for account in get_session().query(DataSyncAccount).all():
        print(f'updating value chain for {account.email}')
        account.syncUserValueChain[0].daily_listing_sync_count_stockx = 0
        account.syncUserValueChain[0].daily_listing_sync_count_goat = 0
        account.syncUserValueChain[0].daily_orders_sync_count_stockx = 0
        account.syncUserValueChain[0].daily_orders_sync_count_goat = 0
        account.syncUserValueChain[0].daily_listing_publish_count_stockx = 0
        account.syncUserValueChain[0].daily_listing_publish_count_goat = 0
        get_session().commit()


if __name__ == '__main__':
    run_value_chain_update()