from pprint import pprint
from requests import session
from suplexedlibrary.proxies.provider import get_sync_data_center_proxy


class AliasApi:
    def __init__(self):
        self.sess = get_sync_data_center_proxy()

    def alias_unstable_login(self, username: str, password: str):
        user_agent = 'alias/1.2.0 (iPhone; iOS 14.0.1; Scale/3.00)'
        sign_in_url = 'https://sell-api.goat.com/api/v1/unstable/users/login'
        self.sess.headers.update({
            'user-agent': user_agent
        })
        sign_in_headers = {
            'Host': 'sell-api.goat.com',
            'X-PX-AUTHORIZATION': '3:acc9828dfd7804d49d3c5dd152148b2e790f52499920eb08844ef6d12ca2c27d:a2CcxWcI6Vry8awu3wIvV10FEQQeFY4iowTryyNh6Jdkt258+BGufzWhMvc4nVD00yOFNuQdeB/RmHD0ZiAljw==:1000:dRXI44rA2tS2DqHnoG4GjwW1gLpa75cawcZn3nks3bQc7uw0bZhjsriojJBEAmULPSyBQ0JJTVNKFaZXHwf8DP0DeCWTmtfwK8XkG1Jv0N67WKXEkBndfF77FFyFdGSkyPuVWLMuAp6ZT6FwBOw1tna+JyT3nxHSRwVf8FgJavI=',
            'Content-Type': 'application/x-www-form-urlencoded',
            'Cookie':	'__cfduid=dd0a42ea1ca8e1bbcbd8ad0e08926d48c1601295774',
            'Connection':	'keep-alive',
            'Accept':	'application/json',
            'Content-Length': '84',
            'Accept-Language': 'en-us',
            'Accept-Encoding': 'gzip, deflate, br',
            'User-Agent':        user_agent
        }
        data = f'{{"grantType":"password","username":"{username}","password":"{password}"}}'

        # homepage_res = self.sess.get('https://goat.com')
        
        # print(f'status of homepage is {homepage_res.status_code}')
        sign_in_response = self.sess.post(sign_in_url, data=data, headers=sign_in_headers)
        
        print(f'status of sign in for {username} is {sign_in_response.status_code}')

        if sign_in_response.status_code != 200:
            if sign_in_response.status_code == 422:
                return { 'incorrectPassword': True }
            print(sign_in_response.content)
            pprint(self.sess.proxies)
            pprint(self.sess.headers)
            pprint(sign_in_response.json())
            raise Exception('Failed sign in')

        sign_in_response_json = sign_in_response.json()
        pprint(sign_in_response_json)


        print('\n\n')
        return {
                'access_token': sign_in_response_json['auth_token']['access_token'],
                'access_token_expiry': sign_in_response_json['auth_token']['expires_in'],
                'refresh_token': sign_in_response_json['auth_token']['refresh_token'],
                'token_type': sign_in_response_json['auth_token']['token_type'],
                'seller_score': sign_in_response_json['user']['seller_score'],
                'linked_accounts': sign_in_response_json['user']['linked_accounts']
        }
    def confirm_sale_order(self):
        pass
        '''
        url = f'https://www.goat.com/api/v1/purchase-orders/{exchange_ask_id}/confirm'
        print(f'confirming goat order at: {url}')
        headers = {
            'user-agent': self.user_agent,
            'authorization': self.authorization,
            'accept': 'application/json',            
        }
        payload = f'{{"number": "{exchange_ask_id}"}}'
        confirmed_res =self.scraper.put(
            url, headers=headers, data=payload
        )
        '''

if __name__ == '__main__':
    api = AliasApi()
    pprint(api.alias_unstable_login('daniel.revie1@gmail.com', 'Milo2021!'))