import datetime
from ebaysdk.exception import ConnectionError
from ebaysdk.finding import Connection

try:
    api = Connection(appid='DanielRe-VaultMac-PRD-dea9be394-313b3c0c', config_file=None)
    response = api.execute('findCompletedItems', {'keywords': 'Erling Haaland PSA 10'})

    assert(response.reply.ack == 'Success')
    assert(type(response.reply.timestamp) == datetime.datetime)
    assert(type(response.reply.searchResult.item) == list)


    for item in response.reply.searchResult.item:
        print('\t' + item['title'])

    assert(type(item.listingInfo.endTime) == datetime.datetime)
    assert(type(response.dict()) == dict)

except ConnectionError as e:
    print(e)
    print(e.response.dict())