class OrderStatusSync:
    class BuyerOrderStatus:
        ORDER_PLACED               = 'order_placed'
        SHIPPED_FOR_AUTHENTICATION = 'shipped_for_authentication'
        AUTHENTICATION_FAILED      = 'authentication_failed'
        AUTHENTICATION_PASSED      = 'authentication_passed'
        AWAITING_CARRIER_PICKUP    = 'awaiting_carrier_pickup'
        SHIPPED                    = 'shipped'
        DELIVERED                  = 'delivered'

    class SellerOrderStatus:
        NEED_TO_BE_CONFIRMED       = 'needs_to_be_confirmed'
        NEED_TO_SHIP               = 'needs_to_be_shipped'
        AWAITING_PAYOUT            = 'awaiting_payout'
        PAYOUT_COMPLETE            = 'payout_complete'
        CANCELLED                  = 'cancelled'



sync_order_status_seller_option_tuple = (
        OrderStatusSync.SellerOrderStatus.NEED_TO_BE_CONFIRMED,
        OrderStatusSync.SellerOrderStatus.NEED_TO_SHIP,
        OrderStatusSync.SellerOrderStatus.AWAITING_PAYOUT,
        OrderStatusSync.SellerOrderStatus.PAYOUT_COMPLETE,
        OrderStatusSync.SellerOrderStatus.CANCELLED
)
sync_order_status_buyer_option_tuple = (
        OrderStatusSync.BuyerOrderStatus.ORDER_PLACED,
        OrderStatusSync.BuyerOrderStatus.SHIPPED_FOR_AUTHENTICATION,
        OrderStatusSync.BuyerOrderStatus.AUTHENTICATION_FAILED,
        OrderStatusSync.BuyerOrderStatus.AUTHENTICATION_PASSED,
        OrderStatusSync.BuyerOrderStatus.AWAITING_CARRIER_PICKUP,
        OrderStatusSync.BuyerOrderStatus.SHIPPED,
        OrderStatusSync.BuyerOrderStatus.DELIVERED,
)