import uuid
from suplexedlibrary.database.postgres.postgres import get_session
from suplexedlibrary.model.GoatAccount import GoatAccount
from suplexedlibrary.model.DataSyncAccount import DataSyncAccount
from suplexedlibrary.database.mongo.transfer_accounts import sync_inventory, sync_users


def init_values():
    dans_account = get_session().query(DataSyncAccount).filter(DataSyncAccount.email == 'dan').one()
    print(f'creating account for {dans_account.first_name}')
    seller_account = GoatAccount(
        id = str(uuid.uuid1()),
        account_id = dans_account.id,
        email = 'daniel.revie1@gmail.com',
        password = 'Zicdrev11!',
        x_px_authorization = '3:3dc2303b0223a24518139cd4f10d86fd213fe97940d1b9a0e5beecdc6f33eeb2:OErZD3eg8VatKRMymiu+UeOT9G2tWBPggA1N8KeXimL27YD3shkeVFN4gKNFYYTlL+Au1Q2FxofGlFySHIcRWA==:1000:d0l7Ub01cMVtHVUTyEO8VZy6dIRIiv3MIVWzOopoDanrR8yf+Vivanq6SQnb72Y+VpnJn4x/3JrcInSqna+jpBpw5MYV729yctjfvq9B/C7IaqI4DyEd7/BZBX957jhJBo0iVAuxNfF6z0xf+B68cZXhGYCvtVi+euHGft7Ouu8=',
        authorization = 'Token token="1WLMan1ULKL5hbZNVEJa"',
        x_emb_st = '1585918418458',
        cookie = '_sneakers_session=cVZhV3dFVktBa25obm1IVStBK1hJWUZodlVEU3k5b3lUa3JqRXZ4aFRhMnRHSVBndTlvbEpkS0llTFpaeFRUaHkxSkJRVUFxYm1rRVNHSCtHY0FPMWVNcDFrVUhJc05ia2lRMXdYakJ2TGthSjVub3RocE93cTN2bHdqaWt0eWNldkJzamZQNFN0eGQ3S3JxMnhxS2FicmlkNE9Sd0tYUjB6UWd6R2MrV0dZPS0tUTVhTHhRcVBYSnp3a1hIRnljaEhzQT09--81df43f8c96586793195e5074019720fd98f47d4; currency=USD; __cfduid=dc3c32521c3d3f05bff9a4cf34e778bca1583578865',
        x_emb_id = '0E89F4FA89CB4DB7B085F94B2AF7D9B2',
        user_agent = 'GOAT/2.28.3 (iPhone; iOS 13.3.1; Scale/3.00) Locale/en',
        x_px_original_token = '3:3dc2303b0223a24518139cd4f10d86fd213fe97940d1b9a0e5beecdc6f33eeb2:OErZD3eg8VatKRMymiu+UeOT9G2tWBPggA1N8KeXimL27YD3shkeVFN4gKNFYYTlL+Au1Q2FxofGlFySHIcRWA==:1000:d0l7Ub01cMVtHVUTyEO8VZy6dIRIiv3MIVWzOopoDanrR8yf+Vivanq6SQnb72Y+VpnJn4x/3JrcInSqna+jpBpw5MYV729yctjfvq9B/C7IaqI4DyEd7/BZBX957jhJBo0iVAuxNfF6z0xf+B68cZXhGYCvtVi+euHGft7Ouu8=',
        user_id = '4123593'
    )

    get_session().add(seller_account)
    get_session().commit()

