from requests import session

sess = session()
post_headers = {
    'Content-Type': 'application/json'
}
transaction_url = 'https://discordcom/api/webhooks/750959272812347392/yeav8LcBNv8wCx8znZTig_-m2zVNL7v_r3efMqryD7bs-q4gZ1_hwf4RDLELeZH1L1tP'
error_channel_hook = 'https://discordcom/api/webhooks/751019286604152843/DAW_At11kCZVNgLhPKw1fm3pauCj9g4bJD5uZ6NGovNXG9S23RKw9nug80Wt1TVpQ2s_'
api_error_channel_hook = 'https://discordcom/api/webhooks/751020443028422696/rtBk8m7k-HsuobSX7RxzPl4tSliz7AgLnlIVXr0h-zDOLEmIqMizfhcWyRfp7eaH6Ato'
stockx_login_channel_hook = 'https://discordcom/api/webhooks/751022441102442496/FXzPdFMMyjnCxhxWCff_vdmqg4eFmHG2LktmEzx877M8y3efCQ0tAeXIPdd7rFr5cRhm'
goat_login_channel_hook = 'https://discordcom/api/webhooks/751487835978072145/hMipQCGQPBoQp_wA9sdGGVrL1_9cia5KrBUWcn9sKrnAKrW4R_1o0ykgv8VxtPE1E5Vy'
stripe_channel_hook = 'https://discordcom/api/webhooks/753676344235393125/BTKwkpZMjCe7NXoErMZkBS34lAniEJ_rs0WE-7j56-OYZKPIvtRBOTFWnNiyAGBNA1DS'

class Transactions:
    SALE = 'sale'
    PURCHASE = 'purchase'
    SYNC_MANAGER = 'sync_manager'

def get_poster_name(transaction_type: str) -> str:
    if transaction_type == 'sale':
        return 'Sale Captain Hook'
    elif transaction_type == 'purchase':
        return 'Purchase Captain Hook'
    elif transaction_type == 'sync_manager':
        return 'Sync Captain Hook'
    elif transaction_type == 'listing_manager':
        return 'Listing Captain Hook'
    else:
        return None

def write_to_transaction_channel(user: str, message: str, transaction_type: str, image_url: str, image_title: str):
    body = {
        'content': f'Recording transaction for:{user}\n{message}',
        'embeds': [
            {'title': image_title, 'image': {'url': image_url}}
        ],
        'username': get_poster_name(transaction_type)
    }
    response = sess.post(transaction_url, headers=post_headers, json=body)


def write_to_error_channel(user: str, message: str):
    body = {
        'content': f'Recording transaction for:{user}\n{message}'
    }
    response = sess.post(error_channel_hook, headers=post_headers, json=body)

def write_to_api_error_channel(message: str):
    body = {
        'content': message
    }
    response = sess.post(api_error_channel_hook, headers=post_headers, json=body)
  

def write_to_genreate_stockx_login_channel(message: str):
    body = {
        'content': message
    }
    response = sess.post(stockx_login_channel_hook, headers=post_headers, json=body)
     
def write_to_genreate_goat_login_channel(message: str):
    body = {
        'content': message
    }
    response = sess.post(goat_login_channel_hook, headers=post_headers, json=body)
     

def write_to_stripe_channel(message: str):
    body = {
        'content': message
    }
    response = sess.post(stripe_channel_hook, headers=post_headers, json=body)