from suplexedlibrary.database.postgres.base import base

from sqlalchemy import Column, String, ForeignKey, Integer
from sqlalchemy.orm import relationship

class Ask(base):
    __tablename__ = 'ask'
    id                = Column(String, primary_key=True)
    inventory_item_id = Column(String, ForeignKey('inventoryItem.id')) 
    ask_amount        = Column(Integer)
    exchange          = Column(String)
    exchange_ask_id   = Column(String)