from suplexedlibrary.database.postgres.base import base

from sqlalchemy import Column, String, ForeignKey, DateTime, Float
from sqlalchemy.orm import relationship

class DailyInventoryValue(base):
    __tablename__ = 'dailyInventoryValue'
    
    id                  = Column(String, primary_key=True)
    account_id          = Column(String, ForeignKey('dataSyncAccount.id'))
    date                = Column(DateTime)
    value               = Column(Float)
