from suplexedlibrary.database.postgres.base import base

from sqlalchemy import Column, String, ForeignKey, Constraint, Float, Boolean, TIMESTAMP, func, Integer
from sqlalchemy.orm import relationship


class FlightClubSellerScore(base):
    __tablename__ = 'flightclubSellerScore'
    id                           = Column(String, primary_key=True)
    account_id                   = Column(String, ForeignKey('dataSyncAccount.id'))
    seller_flat_fee              = Column(Integer)
    seller_transaction_fee       = Column(Float)
    seller_score                 = Column(Integer)
    dataSyncAccount              = relationship("DataSyncAccount", back_populates="flightclubSellerScore")