from sqlalchemy import Column, String, DateTime, Integer, ForeignKey
from suplexedlibrary.database.postgres.base import base

class SyncUserValueChain(base):
    __tablename__ = 'syncUserValueChain'
    id                                 = Column(String, primary_key=True)
    account_id                         = Column(String, ForeignKey('dataSyncAccount.id'))
    daily_listing_sync_count_stockx    = Column(Integer)
    daily_listing_sync_count_goat      = Column(Integer)
    daily_orders_sync_count_stockx     = Column(Integer)
    daily_orders_sync_count_goat       = Column(Integer)
    daily_listing_publish_count_stockx = Column(Integer)
    daily_listing_publish_count_goat   = Column(Integer)