from sqlalchemy.sql.schema import ForeignKey
from sqlalchemy.sql.sqltypes import DateTime
from suplexedlibrary.database.postgres.base import base

from sqlalchemy import Column, String, Integer, Float

class UserAccountOverview(base):
    __tablename__                            = 'userAccountOverview'
    id                                       = Column(String, primary_key=True)
    account_id                               = Column(String, ForeignKey('dataSyncAccount.id'))
    created_at                               = Column(DateTime)
    historical_revenue                       = Column(Integer)
    number_of_sneakers                       = Column(Integer)
    current_inventory_secondary_market_value = Column(Float)
    average_listing_price                    = Column(Float)
    historical_profit                        = Column(Float)
