from sqlalchemy import Column, String, Date, Integer, ForeignKey, Float
from suplexedlibrary.database.postgres.base import base


class UserDailyProfit(base):
    __tablename__ = 'userDailyProfit'
    id                                 = Column(String, primary_key=True)
    account_id                         = Column(String, ForeignKey('dataSyncAccount.id'))
    created_at                         = Column(Date)
    sold_date                          = Column(String)
    daily_profit                       = Column(Float)