from sqlalchemy import Column, String, Date, Integer, ForeignKey, Float
from suplexedlibrary.database.postgres.base import base


class UserMonthlyProfit(base):
    __tablename__ = 'userMonthlyProfit'
    id                                 = Column(String, primary_key=True)
    account_id                         = Column(String, ForeignKey('dataSyncAccount.id'))
    created_at                         = Column(Date)
    sold_month                         = Column(String)
    monthly_profit                     = Column(Float)