from sqlalchemy import Column, String, Date, Integer, ForeignKey, Float
from suplexedlibrary.database.postgres.base import base


class UserWeekdayRevenueSummary(base):
    __tablename__ = 'userWeekdayRevenueSummary'
    id                                 = Column(String, primary_key=True)
    account_id                         = Column(String, ForeignKey('dataSyncAccount.id'))
    created_at                         = Column(Date)
    updated_at                         = Column(Date)
    sold_weekday                       = Column(Integer)
    weekday_revenue                    = Column(Float)
    marketplace                        = Column(String)