from sqlalchemy import Column, String, Date, Integer, ForeignKey, Float
from suplexedlibrary.database.postgres.base import base


class UserWeeklyStats(base):
    __tablename__ = 'userWeeklyStats'
    id                                 = Column(String, primary_key=True)
    account_id                         = Column(String, ForeignKey('dataSyncAccount.id'))
    created_at                         = Column(Date)
    sold_week                          = Column(String)
    weekly_revenue                     = Column(Float)
    weekly_profit                      = Column(Float)