
def get_sale_html(
    shoeName: str,
    shoeSize: str,
    salePrice: str,
    marketplace: str
):
    return f'''
        <!DOCTYPE html>
        <html
            style="font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;">

        <head>
            <meta name="viewport" content="width=device-width" />
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <title>Confirmation Email</title>


            <style type="text/css">
                img {{
                    max-width: 100%;
                }}

                body {{
                    -webkit-font-smoothing: antialiased;
                    -webkit-text-size-adjust: none;
                    width: 100% !important;
                    height: 100%;
                    line-height: 1.6em;
                }}

                body {{
                    background-color: #f6f6f6;
                }}

                @media only screen and (max-width: 640px) {{
                    body {{
                        padding: 0 !important;
                    }}

                    h1 {{
                        font-weight: 800 !important;
                        margin: 20px 0 5px !important;
                    }}

                    h2 {{
                        font-weight: 800 !important;
                        margin: 20px 0 5px !important;
                    }}

                    h3 {{
                        font-weight: 800 !important;
                        margin: 20px 0 5px !important;
                    }}

                    h4 {{
                        font-weight: 800 !important;
                        margin: 20px 0 5px !important;
                    }}

                    h1 {{
                        font-size: 22px !important;
                    }}

                    h2 {{
                        font-size: 18px !important;
                    }}

                    h3 {{
                        font-size: 16px !important;
                    }}

                    .container {{
                        padding: 0 !important;
                        width: 100% !important;
                    }}

                    .content {{
                        padding: 0 !important;
                    }}

                    .content-wrap {{
                        padding: 10px !important;
                    }}

                    .invoice {{
                        width: 100% !important;
                    }}
                }}
            </style>
        </head>

        <body itemscope itemtype="http://schema.org/EmailMessage"
            style="font-family: 'Helvetica Neue',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; -webkit-font-smoothing: antialiased; -webkit-text-size-adjust: none; width: 100% !important; height: 100%; line-height: 1.6em; background-color: #f6f6f6; margin: 0;"
            bgcolor="#f6f6f6">
            <h1>Sale detected</h1>
            <h3>We found a sale for your {shoeName} {shoeSize}</h3>
            <h3>You sold your shoe for {salePrice} on {marketplace}</h3>
        </body>
        </html>
    '''