import stripe

from suplexedlibrary.model.DataSyncAccount import DataSyncAccount
from suplexedlibrary.database.postgres.postgres import get_session


keys = {
    'public_key_test': 'pk_test_UTGVeI90dRgGeumPyNE3QkYq008TxajqMF',
    'secret_key_test': 'sk_test_51FyfUJG6XLeGzfOcyDG4RbryWg0jQVXWBb2rEsTK2WLSL1QuMzKQK0jH1Afy1szlj6YqRaWtddfsq5FPsPwJKB7J00cIf6BfNy',
    'public_key_live': 'pk_live_nkmtmZ9sTlKzzQSjGrzH8ILV00uNHopYQX',
    'secret_key_live': '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'
}

stripe.api_key = keys['secret_key_live']


def create_stripe_customer(email: str, metadata: dict) -> str:
    try:
        customer = stripe.Customer.create(
            email=email,
            metadata=metadata
        )
        
        return customer.id
    except Exception as e:
        print(e)
        return None
def generate_account_ids():
    for account in get_session().query(DataSyncAccount).filter(DataSyncAccount.email == 'daniel.revie1@gmail.com').all():
        account.stripe_id = create_stripe_customer(account.email, {'syncAccountId': account.id})
        get_session().commit()


if __name__ == '__main__':
    print('generating account ids')
    generate_account_ids()


