
def isfloat(value):
  try:
    float(value)
    return True
  except ValueError:
    return False

def get_stripped_size_as_float_from_string(size: str) -> str:
    return "".join(filter(lambda x : str.isdigit(x) or x == ".", size))

def get_stripped_size_from_string(size: str) -> str:
    return float("".join(filter(lambda x : str.isdigit(x) or x == ".", size)))


def get_size_string_from_float(size: float) -> str:
    size_string = '{0:g}'.format(size)
    print(f'\tformatted numeric {size} to {size_string}')
    return size_string

def get_size_string_from_alphanum(size: str) -> str:
    print(f'\tformatted alphanumeric {size} to {size}')
    return size